Decisions
Get a model selection evaluation
Reads a frozen session-start model choice from the serving daemon after checking the session audience. Returns the retained answer, rules, input, and provider JSON when still available.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
orgId*string
id*string
Match
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Format
uuidseq*integer
Range
0 < value <= 9007199254740991Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/v1/orgs/string/agents/497f6eca-6276-4993-bfeb-53cbbbba6f08/model-evaluations/1"{ "seq": 1, "at": "string", "sessionId": "string", "title": "string", "decisionId": "string", "outcome": "selected", "reason": "string", "target": { "runtime": "string", "model": "string", "effort": "string", "permissionMode": "string", "fastMode": true }, "answer": { "type": "boolean", "value": true, "probability": 0 }, "requestedModel": "string", "actualModel": "string", "latencyMs": 0, "usage": { "inputTokens": 0, "outputTokens": 0 }, "detailsExpired": true, "selection": { "decisionId": "caa985ad-f12f-4ef1-943f-c1812738ec7a", "rules": [ { "runtime": "string", "model": "string", "effort": "string", "permissionMode": "string", "fastMode": true, "when": { "type": "choice", "thresholds": { "property1": 0, "property2": 0 } } } ], "steps": [ { "decisionId": "caa985ad-f12f-4ef1-943f-c1812738ec7a", "rules": [ { "runtime": "string", "model": "string", "effort": "string", "permissionMode": "string", "fastMode": true, "when": { "type": "choice", "thresholds": { "property1": 0, "property2": 0 } } } ], "id": "string" } ] }, "question": { "type": "choice", "instructions": "string", "criteria": { "property1": "string", "property2": "string" } }, "input": { "property1": null, "property2": null }, "fullAnswer": { "type": "boolean", "value": true, "probability": 0 }, "chain": [ { "stepId": "string", "decisionId": "string", "evaluation": { "status": "answered", "answer": { "type": "boolean", "value": true, "probability": 0 }, "model": "string", "usage": { "inputTokens": 0, "outputTokens": 0 } } } ], "steps": [ { "stepId": "string", "decisionId": "string", "providerId": "string", "model": "string", "question": { "type": "choice", "instructions": "string", "criteria": { "property1": "string", "property2": "string" } }, "condition": { "type": "choice", "thresholds": { "property1": 0, "property2": 0 } }, "rawRequest": { "text": "string", "truncated": true }, "rawResponse": { "text": "string", "truncated": true } } ], "rawRequest": { "text": "string", "truncated": true }, "rawResponse": { "text": "string", "truncated": true }}